package org.expressolivre.cte.email.filtro;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailFilterPage;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.7] Gerenciar Filtros
 * 
 * Caso de Teste: EL-632:Criar Filtro por remetente
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-632
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 31, 2011 at 10:52:53 AM
 * 
 */
public class CriarFiltroPorRemetenteTestCase extends BaseEmailTestCase {

	@Test
	public void criarFiltroPorRemetente() {
		MailFilterPage mfp = mp.editFilter();
		mfp.newFilterRule();
		mfp.setFilterRecepient(EMAIL_REMETENTE);
		mfp.setFilterArchieveIn();
		mfp.setFilterMailBox(EMAIL_PASTA_TESTE);
		mfp.saveFilterRules();
	}
}
